#8 Debug breakpoint dialog cannot find source file

closed-out-of-date
dmaphy
geanygdb (5)
5
2009-09-09
2009-04-29
Anonymous
No

Using geany 0.16 and geanygdb 0.0.2 when trying to set a breakpoint (click Breaks button in Debug sidebar) the add breakpoint dialog does correctly come up with the source path/filename and line number however when I click 'OK' I get a dialog: 'debugger' saying "Error: No source file named (the correct path/filename)". Closing the error dialog returns me to the breakpoint dialog again.
Can't seem to get it to recognize the source file?
Any help????

Discussion

  • dmaphy

    dmaphy - 2009-05-01
    • assigned_to: nobody --> dmaphy
     
  • dmaphy

    dmaphy - 2009-05-01

    Unfortunately I could not reproduce this on my machine yet. Worked fine here.
    Is there any additional information you can get? Maybe when running Geany from shell or in Help->Debug Messages?

     
  • Nobody/Anonymous

    Not much help here the debug messages:
    13:06:45: INFO : Geany 0.16, GTK+ 2.12.12, GLib 2.16.6
    13:06:46: INFO : Could not load libvte.so, embedded terminal support disabled
    13:06:46: INFO : Initializing plugin 'Debugger'
    13:06:46: INFO : Loaded: /usr/local/lib/geany/geanygdb.so (Debugger)
    13:06:46: INFO : /home/john/Cpp4Linux/unwelcome.cpp : C++ (UTF-8)
    I added vte and this resolved that error message above - but the original problem continues.
    The status messages were:
    Starting gdb (pid=4102)
    GNU gdb 6.8-debian
    Copyright (C) 2008 Free Software Foundation, Inc.
    License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
    This is free software: you are free to change and redistribute it.
    There is NO WARRANTY, to the extent permitted by law. Type "show copying"
    and "show warranty" for details.
    This GDB was configured as "i486-linux-gnu".
    No source file named /home/john/Cpp4Linux/unwelcome.cpp.
    Starting from the command line did not change anything either.

     
  • Nobody/Anonymous

    I've found that if I remove the filename from the 'add breakpoint' dialog box (and leave the line number).
    I will get a 'breakpoints' dialog box with the one entry (It appears to be a listbox):

    2 y /tmp/cc1PTP7g.s 30 0 0

    I can add additional breakpoints in the same manner (clearing the filename but not the linenumber.

    Then, the status messages continue:

    Starting gdb (pid=4956)
    GNU gdb 6.8-debian
    Copyright (C) 2008 Free Software Foundation, Inc.
    License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
    This is free software: you are free to change and redistribute it.
    There is NO WARRANTY, to the extent permitted by law. Type "show copying"
    and "show warranty" for details.
    This GDB was configured as "i486-linux-gnu".
    Added breakpoint #2 at /tmp/cc1PTP7g.s:30
    "xterm" "-T" "Debug terminal" "-e" "/usr/local/bin/geanygdb_ttyhelper" "/home/john/.config/geany/plugins /debugger/4925.tty"
    Attaching to terminal /dev/pts/3
    Current language: auto; currently asm
    Started target process. (pid=4960)
    Shutting down target program.
    Target process exited. (pid=4960; reason:killed by GDB)

    I get no indication in the editor as to the current line number that I'm on if I try to step through it.
    Seems to work (at least partially) but it is largely misidentifying the file name and appears to be using perhaps a cached verion of the file?

     
  • dmaphy

    dmaphy - 2009-05-02

    The message "Error: No source file named (the correct path/filename)" pops up, when the open document is not linked within the binary you opend in geanygdb. This behaviour is correct so far. What I don't understand yet is, why the file is named "/tmp/cc1PTP7g.s".

     
  • dmaphy

    dmaphy - 2009-09-02

    Could not reprocude this issue here. There is no response since 1st of May, so, going to close this issue.

     
  • dmaphy

    dmaphy - 2009-09-02
    • status: open --> open-out-of-date
     
  • dmaphy

    dmaphy - 2009-09-09
    • status: open-out-of-date --> closed-out-of-date
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks